import 'dart:convert';
import 'dart:io';

import 'package:http/http.dart' as http;
import 'package:quiosco_soler_2/quiosco/models/archivos_model.dart';

import '../../calculadora/models/archivo_model.dart';

class ArchivosProvider{
  final String _url = "smart.solerpalau.mx";

  Future<Archivos> fetchArchivos(String token, String dinum) async{
    final url = Uri.https(_url, 'PR/api/v1/quiosco/archivos/$dinum|admin');
    final res = await http.get(url,
        headers: {
          HttpHeaders.authorizationHeader : "Bearer $token"
        }
    );
    final decodedData = jsonDecode(res.body);
    final archivos = Archivos.fromJson(decodedData);
    return archivos;
  }

  Future<ArchivoModel> fetchArchivo(String token, String idar) async{
    final url = Uri.https(_url, 'PR/api/v1/quiosco/archivo/$idar');
    final res = await http.get(url,
        headers: {
          HttpHeaders.authorizationHeader : "Bearer $token"
        }
    );
    final decodedData = jsonDecode(res.body);
    final archivo = ArchivoModel.fromJson(decodedData);
    return archivo;
  }
}